gdbhio_dev.h File Reference

Luma3DS GDB HIO (called File I/O in GDB documentation) devoptab wrapper. More...

`#include <stdbool.h>`

Go to the source code of this file.

## Functions

int | gdbHioDevInit (void)
| Initializes the GDB HIO devoptab wrapper, returns 0 on success, -1 on failure. More...
void | gdbHioDevExit (void)
| Returns a file descriptor mapping to the GDB client console's standard input stream.
int | gdbHioDevGetStdin (void)
| Returns a file descriptor mapping to the GDB client console's standard output stream.
int | gdbHioDevGetStdout (void)
| Returns a file descriptor mapping to the GDB client console's standard error stream.
int | gdbHioDevGetStderr (void)
| Redirects 0 to 3 of the application's standard streams to GDB client console's. Returns -1, -2, or -3, resp., on failure; 0 on success.
int | gdbHioDevRedirectStdStreams (bool in, bool out, bool err)
| GDB HIO POSIX function gettimeofday.
int | gdbHioDevGettimeofday (struct timeval *tv, void *tz)
| GDB HIO POSIX function isatty.
int | gdbHioDevIsatty (int fd)
| GDB HIO POSIX function system. Requires 'set remote system-call-allowed 1'.
int | gdbHioDevSystem (const char *command)

## Detailed Description

Luma3DS GDB HIO (called File I/O in GDB documentation) devoptab wrapper.

## Function Documentation

## gdbHioDevInit()

int gdbHioDevInit | ( | void |  | ) |

Initializes the GDB HIO devoptab wrapper, returns 0 on success, -1 on failure.

Deinitializes the GDB HIO devoptab wrapper.